/*
 *  PasserRatingGlobals.h
 *  Passer Rating
 *
 *  Created by Xcode User on 4/9/10.
 *  Copyright 2010 Frederic F. Anderson. All rights reserved.
 *
 */

#ifdef __OBJC__

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <CoreData/CoreData.h>

#pragma mark Errors

extern NSString * const		WT9TErrorDomain;

enum _CSVErrors {
	errCSVBadFormatLine = -1,
	errEmptyCSVFile = -2
};

#pragma mark Preference Keys

//	Key: what to do with the data on startup
extern NSString *	 const	kPrefStartupAction;
//	Values:
extern NSString *	 const	kStartupKeepData;		//	Leave it be.
extern NSString *	 const	kStartupUseDemo;		//	Replace it with demo data.
extern NSString *	 const	kStartupRemoveDemo;	//	Remove just the demo data.
extern NSString *	 const	kStartupRemoveAll	;	//	Remove everything.

extern NSString *	 const	kFinalSaveFailed;		//	The previous app-termination save failed.

#endif
