//
//  Passer_RatingTests.h
//  Passer RatingTests
//
//  Created by Xcode User on 6/19/11.
//  Copyright 2011 Fritz Anderson. All rights reserved.
//

#import <SenTestingKit/SenTestingKit.h>
#import "SimpleCSVFile.h"

typedef BOOL (^CSVDelegateBlock)(SimpleCSVFile* blockFile,
                                 NSDictionary* blockValues,
                                 NSError ** blockError);

@interface CSVTestBase : SenTestCase <SimpleCSVDelegate>
@property(nonatomic, copy) NSString *           csvFileName;
@property(nonatomic, retain) SimpleCSVFile *    csvFile;
@property(nonatomic, retain) NSMutableArray *   records;
@property(nonatomic, retain) NSError *          csvError;
@property(nonatomic, copy) CSVDelegateBlock     delegateBlock;
@end
