//
//  CoreDataTests.h
//  Passer Rating
//
//  Created by Xcode User on 7/4/11.
//  Copyright 2011 Fritz Anderson. All rights reserved.
//
//  See Also: http://developer.apple.com/iphone/library/documentation/Xcode/Conceptual/iphone_development/135-Unit_Testing_Applications/unit_testing_applications.html

#import <SenTestingKit/SenTestingKit.h>
#import <UIKit/UIKit.h>

#import "SimpleCSVFile.h"

typedef BOOL (^CSVDelegateBlock)(SimpleCSVFile* blockFile,
                                 NSDictionary* blockValues,
                                 NSError ** blockError);

@interface CoreDataTests : SenTestCase <SimpleCSVDelegate>
@property(nonatomic, copy) NSString *           csvFileName;
@property(nonatomic, retain) SimpleCSVFile *    csvFile;
@property(nonatomic, retain) NSMutableArray *   records;
@property(nonatomic, retain) NSError *          csvError;
@property(nonatomic, copy) CSVDelegateBlock     delegateBlock;

@end
