//
//  GameListController.h
//  Passer Rating
//
//  Created by Xcode User on 6/25/11.
//  Copyright 2011 Fritz Anderson. All rights reserved.
//

#import <UIKit/UIKit.h>

@class Passer;

@interface GameListController : UIViewController
    <UITableViewDelegate, UITableViewDataSource>
{
    UILabel *fullNameLabel;
    UILabel *passerRatingLabel;
    UILabel *currentTeamLabel;
    UILabel *datesLabel;
    UILabel *attemptsLabel;
    UILabel *completionsLabel;
    UILabel *yardsLabel;
    UILabel *touchdownsLabel;
    UILabel *interceptionsLabel;
    UITableView *tableView;
    
    NSArray *   arrangedGamesCache;
}


@property(nonatomic, retain) Passer *       passer;
@property(nonatomic, readonly) NSArray *    arrangedGames;

@property (nonatomic, retain) IBOutlet UILabel *fullNameLabel;
@property (nonatomic, retain) IBOutlet UILabel *passerRatingLabel;
@property (nonatomic, retain) IBOutlet UILabel *currentTeamLabel;
@property (nonatomic, retain) IBOutlet UILabel *datesLabel;
@property (nonatomic, retain) IBOutlet UILabel *attemptsLabel;
@property (nonatomic, retain) IBOutlet UILabel *completionsLabel;
@property (nonatomic, retain) IBOutlet UILabel *yardsLabel;
@property (nonatomic, retain) IBOutlet UILabel *touchdownsLabel;
@property (nonatomic, retain) IBOutlet UILabel *interceptionsLabel;
@property (nonatomic, retain) IBOutlet UITableView *tableView;

@end
